[array]$sites_non_http_only_cookies = @()

Get-IISSite -PipelineVariable Site | ForEach {
  $httpOnlyCookies = Get-WebConfigurationProperty -pspath "MACHINE/WEBROOT/APPHOST/$Site" -filter 'system.web/httpCookies' -name 'httpOnlyCookies' | ForEach { $_.value }

  if ($httpOnlyCookies -ne 'True') {
    $sites_non_http_only_cookies += $_.name
  }
}

return $sites_non_http_only_cookies