[array]$missing_host_headers = Get-WebBinding -Port * | Where-Object {$_.bindingInformation -match "\*:\d+:$"} | foreach {$_.bindingInformation}

Get-IISSite | ForEach {
  if ($missing_host_headers.Contains($_.bindings.bindingInformation)) {
    [pscustomobject]@{
      SiteName = $_.name;
      BindingInformation = $_.bindings.bindingInformation
    }
  }
}