# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include secure_iis_cis::cis_1_4
class secure_iis_cis::cis_1_4(
  Boolean $enforced = true,
) {
  if($enforced) {
    # This rule cannot be enforced;l only reported
    $facts['iis_apppools'].each | Hash $apppool | {
      exec { "Ensure ApplicationPoolIdentity app pool ${apppool['name']}":
        command  => "Set-WebConfigurationProperty -pspath 'MACHINE/WEBROOT/APPHOST' -filter \"system.applicationHost/applicationPools/add[@name='${apppool['name']}']/processModel\" -name 'identityType' -value 'ApplicationPoolIdentity'",
        unless   => "if ((Get-WebConfigurationProperty -pspath 'MACHINE/WEBROOT/APPHOST' -filter \"system.applicationHost/applicationPools/add[@name='${apppool['name']}']/processModel\" -name 'identityType') -ne 'ApplicationPoolIdentity') { exit 1 }",
        provider => powershell,
      }
    }
  }
}
