Get-IISSite | ForEach {
    $path = Get-WebFilePath "IIS:\\Sites\\$_" | ForEach-Object { $_.FullName }

    [pscustomobject]@{
      Name = $_.Name
      ID = $_.Id
      State = $_.State
      PhysicalPath = $path
    }
} | ConvertTo-XML -As String
