Get-IISSite  -PipelineVariable Site | ForEach {
  Get-WebApplication -Site $Site | ForEach {
      # $path = Get-WebFilePath "IIS:\\Sites\\$_" | ForEach-Object { $_.FullName }

      [pscustomobject]@{
        Site = $Site.Name
        Name = $_.Path
        PhysicalPath = $_.PhysicalPath
      }
  }
} | ConvertTo-XML -As String
