# frozen_string_literal: true

Facter.add(:missing_host_headers) do
  # # windows only
  confine kernel: :windows
  powershell = File.exist?("#{ENV['SYSTEMROOT']}\\system32\\windowspowershell\\v1.0\\powershell.exe") ? "#{ENV['SYSTEMROOT']}\\system32\\windowspowershell\\v1.0\\powershell.exe" : 'powershell.exe'

  setcode do
    no_header_sites = []
    no_header_site_query_result = Facter::Core::Execution.exec(%(#{powershell} C:/tmp/GetNonHostHeaderSites.ps1)).split("\n").drop(2)

    no_header_site_query_result.each do |result|
      site_info = result.split(' ')
      no_header_sites << { 'ApplicationName' => site_info[0], 'BindingInformation' => site_info[1] }
    end

    no_header_sites
  end
end
