# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include secure_iis_cis::cis_3_1
class secure_iis_cis::cis_3_1(
  Boolean $enforced = true,
) {
  if($enforced) {
    exec { 'Ensure deployment is set to retail':
      command  => file('secure_iis_cis/CreateMachineDeploymentNode.ps1'),
      unless   => file('secure_iis_cis/MachineDeploymentNodeExists.ps1'),
      provider => powershell,
    }
  }
}
