# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include secure_iis_cis::cis_4_4
class secure_iis_cis::cis_4_4(
  Boolean $enforced = true,
) {
  if($enforced) {
    exec { 'Ensure non-ascii characters prohibited':
      command  => 'Set-WebConfigurationProperty -pspath "MACHINE/WEBROOT/APPHOST" -filter "system.webServer/security/requestFiltering" -name "allowHighBitCharacters" -value \'False\'',
      unless   => 'if ((Get-WebConfigurationProperty -pspath "MACHINE/WEBROOT/APPHOST" -filter "system.webServer/security/requestFiltering" -name "allowHighBitCharacters") -ne \'False\') { exit 1 }',
      provider => powershell,
    }
  }
}
