# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include secure_iis_cis::cis_4_6
class secure_iis_cis::cis_4_6(
  Boolean $enforced = true,
) {
  if($enforced) {
    exec { 'Set TRACE off':
      command  => 'Add-WebConfigurationProperty -pspath "MACHINE/WEBROOT/APPHOST" -filter "system.webServer/security/requestFiltering/verbs" -name "." -value @{verb=\'TRACE\';allowed=\'False\'}',
      unless   => 'if ((Get-WebConfigurationProperty -pspath "MACHINE/WEBROOT/APPHOST" -filter "system.webServer/security/requestFiltering/verbs/add[@verb=\'TRACE\']" -name "allowed" | ForEach { $_.value }) -eq $true) { exit 1 }',
      provider => powershell,
    }
  }
}
